Namespace PrintMonthlySchedule
	Public Partial Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub
		Private Sub Form1_Load(sender As Object, e As EventArgs)
			Dim creationFilter As New CreationUIElement(64)
			Me.ultraMonthViewSingle1.CreationFilter = creationFilter
			' Create an appointment
			Me.CreateAppointment()

			' Set the UltraDayView's CalendarInfo to 
			' the UltraCalendarInfo control.
			' This are what give the UltraDayView its appointments.
			Me.ultraMonthViewSingle1.CalendarInfo = Me.ultraCalendarInfo1

			' Set the UltraSchedulePrintDocument's CalendarInfo and 
			' to UltraCalendarInfo control.
			' This allows the document to use the same appointments that
			' your UltraDayView use.
			Me.ultraSchedulePrintDocument1.CalendarInfo = Me.ultraCalendarInfo1

			' Set the UltraPrintPreviewDialog's Document property to 
			' the UltraSchedulePrintDocument
			Me.ultraPrintPreviewDialog1.Document = Me.ultraSchedulePrintDocument1
		End Sub
		Private Sub CreateAppointment()
			' Make up an appointment to show on the calendar
			Dim myStartTime As New DateTime(2013, 10, 8, 8, 23, 3)
			Dim myEndTime As New DateTime(2013, 10, 8, 12, 23, 20)
			Me.ultraCalendarInfo1.Appointments.Add(myStartTime, myEndTime, ("NI - 302 - Walla Walla Company"))
		End Sub
		Private Sub ultraButton1_Click(sender As Object, e As EventArgs)
			Me.ultraPrintPreviewDialog1.ShowDialog(Me)
		End Sub
	End Class
	Public Class CreationUIElement
		Implements IUIElementCreationFilter
		Private height As Integer
		Private currentHeight As Integer
		Public Sub New(Height__1 As Integer)
			height = Height__1
		End Sub

		Public Sub AfterCreateChildElements(parent As UIElement)
			Dim El As DayUIElement = TryCast(parent, DayUIElement)
			If El IsNot Nothing AndAlso El.ChildElements.Count > 0 Then
				currentHeight = 25
				For Each item As SingleDayAppointmentUIElement In El.ChildElements.OfType(Of SingleDayAppointmentUIElement)()
					item.Rect = New Rectangle(item.Rect.X, El.Rect.Y + currentHeight, item.Rect.Width, height)
					currentHeight = currentHeight + height + 1
				Next
			End If
			Dim ET As EditorWithTextUIElement = TryCast(parent, EditorWithTextUIElement)
			If ET IsNot Nothing AndAlso ET.ChildElements.Count > 0 Then
				Dim editorwithText As EditorWithTextDisplayTextUIElement = TryCast(ET.GetDescendant(GetType(EditorWithTextDisplayTextUIElement)), EditorWithTextDisplayTextUIElement)
				editorwithText.Rect = New Rectangle(parent.Rect.X, parent.Rect.Y, 50, 65)
				editorwithText.MultiLine = True
				editorwithText.WrapText = True
			End If
		End Sub
		Public Function BeforeCreateChildElements(parent As UIElement) As Boolean
			Return False
		End Function
	End Class
End Namespace